set JAVA_PATH=java
if defined SEMSPECT_JAVA_PATH (
    set JAVA_PATH=%SEMSPECT_JAVA_PATH%
)

REM precedence: SEMSPECT_JDK_OPTIONS, JDK_JAVA_OPTIONS, JAVA_TOOL_OPTIONS
REM parameter '-XX:+UseBiasedLocking' is used for enhanced performance when reading RDF data sources in parallel
set JDK_OPTIONS=-XX:+UseBiasedLocking -XX:+IgnoreUnrecognizedVMOptions
if defined SEMSPECT_JDK_OPTIONS (
  set JDK_OPTIONS=%JDK_OPTIONS% %SEMSPECT_JDK_OPTIONS%
)

set JAR_PATH=%SEMSPECT_HOME%rdf-semspect.jar
set LIB_DIR=%SEMSPECT_HOME%lib
set CLASS_PATH="%LIB_DIR%\*";"%JAR_PATH%"

